/*!
 * kocby.ru/post/webmaster/html/math.js 
 * descr: math for kocby.ru/post/webmaster/html/math.html
 * Copyright 2011 - 2099
Copyright note. Feel free to use kocby.ru's progs for your site or blog if you want. 
Also you can use free any other content and soft of kocby.ru - all you have to do is set back link to kocby.ru
 *
 */



function canvas_math() {

//

var math_c=document.getElementById("math_Canvas");
var math_ctx=math_c.getContext("2d");

//
// красный прямоугольник
// math_ctx.fillStyle="#FF0000";
// math_ctx.fillRect(0,0,150,75);
//

// смещения
var offsetX=400;
var offsetY=300;
// линии координат 
math_ctx.beginPath();
math_ctx.moveTo(offsetX,0);
math_ctx.lineTo(offsetX,600);
math_ctx.moveTo(0,offsetY);
math_ctx.lineTo(800,offsetY);
math_ctx.stroke();
//
math_ctx.beginPath();
math_ctx.strokeStyle='#F0F0F0';
math_ctx.moveTo(100,0);
for(i=100; i<800; i=i+100) {
math_ctx.lineTo(i,600);
math_ctx.moveTo(i+100,0);
}
math_ctx.moveTo(0,100);
for(i=100; i<600; i=i+100) {
math_ctx.lineTo(800,i);
math_ctx.moveTo(0,i+100);
}
math_ctx.stroke();
//
math_ctx.beginPath();
math_ctx.strokeStyle='#0000FF';
math_ctx.font="30px Arial";
math_ctx.strokeText("Х",offsetX*2-30,offsetY-10);
math_ctx.strokeText("Y",offsetX+10,30);
math_ctx.font="12px Arial";
//
for(i=-300; i<400; i=i+100) {
	math_ctx.strokeText(i,offsetX+i-10,offsetY+12);
}
for(i=-200; i<300; i=i+100) {
	math_ctx.strokeText(i,offsetX-10,offsetY-i+12);
}
//
// math_ctx.strokeText("0",offsetX-3,offsetY+12);
// math_ctx.strokeText("100",offsetX+90,offsetY+12);
// math_ctx.strokeText("200",offsetX+190,offsetY+12);
// math_ctx.strokeText("300",offsetX+290,offsetY+12);
// 

var startX=-400;
var step1 = 10;
var step5 = 5;
var step2 = 2;
var finishX=4000;
//
math_ctx.beginPath();
math_ctx.strokeStyle="#FF0000";
//
var yi=offsetY;
i = startX;
// yi = i*i/100;
yi = Math.pow(i, 2)/100;
math_ctx.moveTo(i,yi);

for(i=startX; i<finishX; i=i+step1) {
// yi = -i*i*i*0.00001;
yi = Math.pow(i, 2)/100;
math_ctx.lineTo((i+offsetX),(-yi+offsetY));
}
math_ctx.stroke();
math_ctx.font="18px Courier New";
// var name_fun2="y = x*x/100";
var name_fun2 = "y=Math.pow(x,2)/100";
math_ctx.strokeText(name_fun2,offsetX+50,50);
//
math_ctx.beginPath();
math_ctx.strokeStyle="#FF00FF";
//
yi=offsetY;
i = startX;
// yi = i*i*i/100000;
yi = Math.pow(i, 3)/100000
math_ctx.moveTo(i,yi);

for(i=startX; i<finishX; i=i+step1) {
yi = Math.pow(i, 3)/100000;
math_ctx.lineTo((i+offsetX),(-yi+offsetY));
}
math_ctx.stroke();
math_ctx.font="18px Courier New";
// var name_fun3 = "y = x*x*x/100000";
var name_fun3 = "y=Math.pow(x,3)/100000";
math_ctx.strokeText(name_fun3,offsetX+150,offsetY-100);
//
// Квадратный корень
math_ctx.beginPath();
math_ctx.strokeStyle="#00FF00";
//
yi=offsetY;
i=0;
yi = Math.sqrt(i)*10;
math_ctx.moveTo((i+offsetX),(-yi+offsetY));
for(i=0; i<finishX; i=i+step2) {
yi = Math.sqrt(i)*10;
math_ctx.lineTo((i+offsetX),(-yi+offsetY));
}
math_ctx.stroke();
math_ctx.font="18px Courier New";
var name_fun_sqrt = "y=Math.sqrt(x)*10";
// math_ctx.strokeText(name_fun_sqrt,offsetX+150,offsetY-150);
math_ctx.rotate(-14*Math.PI/180);
math_ctx.strokeText(name_fun_sqrt,offsetX+150,offsetY-20);

//
math_ctx.beginPath();
math_ctx.strokeStyle="#00FFFF";
math_ctx.rotate(14*Math.PI/180);
// math_ctx.strokeText("Тест strokeText",offsetX,offsetY);
//
// Прямые линии
//
yi=offsetY;
i = startX;
yi = -100;
math_ctx.moveTo(i,yi);
for(i=startX; i<finishX; i=i+step1) {
yi = -100;
math_ctx.lineTo((i+offsetX),(-yi+offsetY));
}
math_ctx.stroke();
math_ctx.font="18px Courier New";
var name_fun_line = "y = -100";
math_ctx.strokeText(name_fun_line,offsetX+150,offsetY+90);
//
math_ctx.beginPath();
// math_ctx.strokeStyle="#FFFF00";
yi=offsetY;
i = startX;
yi = -i-100;
math_ctx.moveTo(i,yi);
for(i=startX; i<finishX; i=i+step1) {
yi = -i-100;
math_ctx.lineTo((i+offsetX),(-yi+offsetY));
}
math_ctx.stroke();
math_ctx.font="18px Courier New";
var name_fun_line2 = "y = -x-100";
math_ctx.rotate(+45*Math.PI/180);
math_ctx.strokeText(name_fun_line2,offsetX+250,offsetY-320);
//
math_ctx.beginPath();
math_ctx.rotate(-45*Math.PI/180);
math_ctx.strokeStyle="#000000";
// math_ctx.strokeText("Тест strokeText",offsetX,offsetY);


//
/*
--
Math.sqrt()
Вычисляет квадратный корень.
--
Math.log() ECMAScript v1
вычисляет натуральный логарифм
Синтаксис
Math.log(x)
--


Math.pow() ECMAScript v1
вычисляет xy
Синтаксис
Math.pow(x, y)
Аргументы
x Число, которое должно быть возведено в степень.
y Степень, в которую должно быть возведено число x.
Возвращаемое значение
x в степени y (xy).
Описание
Math.pow() вычисляет x в степени y. Значения x и y могут быть любыми. Однако если
результат является мнимым или комплексным числом, Math.pow() возвращает NaN.
На практике это означает, что если x отрицательно, то y должно быть положитель
ным или отрицательным целым. Также имейте в виду, что большие экспоненты лег
ко приводят к вещественному переполнению и возвращают значение Infinity.


-----
The clip() method clips a region of any shape and size from the original canvas.

Tip: Once a region is clipped, all future drawing will be limited to the clipped region (no access to other regions on the canvas). You can however save the current canvas region using the save() method before using the clip() method, and restore it (with the restore() method) any time in the future. 




math_ctx.save();
// Clip a rectangular area
math_ctx.rect(50,20,200,120);
math_ctx.stroke();
math_ctx.clip();
// Draw red rectangle after clip()
math_ctx.fillStyle="red";
math_ctx.fillRect(0,0,150,100);
//
math_ctx.restore();
// Draw red rectangle after restore()
math_ctx.fillStyle="red";
math_ctx.fillRect(0,0,150,100);

*/


}
// enda of canvas_math()
//


/*

This is enda...
of math.js

*/