/*!
 * kocby.ru/post/webmaster/html/paint.js 
 * descr: paint for kocby.ru/post/webmaster/html/paint.html
 * Copyright 2011 - 2099
Copyright note. Feel free to use kocby.ru's progs for your site or blog if you want. 
Also you can use free any other content and soft of kocby.ru - all you have to do is set back link to kocby.ru
 *
 */



function canvas_paint() {

//

var paint_c=document.getElementById("paint_ctx");
var paint_ctx=paint_c.getContext("2d");
//
// Константы
//
var HorLineY=300;
//
// Верхняя часть - небо...
//

paint_ctx.beginPath();
var grd_sky=paint_ctx.createLinearGradient(0,0,70,HorLineY);
// grd_sky.addColorStop(0,"black");
// grd_sky.addColorStop(1,"white");
grd_sky.addColorStop(0,"black");
grd_sky.addColorStop(1,"#09E9FF");
paint_ctx.fillStyle=grd_sky;
// paint_ctx.fillStyle="#09E9FF";
paint_ctx.fillRect(0,0,800,300);
paint_ctx.closePath();
//
// paint_ctx.beginPath();
// var grd_sky=paint_ctx.createRadialGradient(400,150,150,400,150,300);
// var grd_sky=paint_ctx.createRadialGradient(500,150,300,400,150,300);
// grd_sky.addColorStop(0,"#09E9FF");
// grd_sky.addColorStop(0,"#99E9FF");
// grd_sky.addColorStop(1,"#E9FAFF");
// paint_ctx.fillStyle=grd_sky;
// paint_ctx.fillStyle="#09E9FF";
// paint_ctx.fillRect(0,0,800,300);
// paint_ctx.fillStyle="#FF0000";
// paint_ctx.fillRect(0,0,150,75);
// paint_ctx.fill();



//
// Нижняя часть - море (земля)...
//
paint_ctx.beginPath();
// var grd_sea=paint_ctx.createLinearGradient(0,HorLineY,70,600);
var grd_sea=paint_ctx.createLinearGradient(30,HorLineY,0,600);

// paint_ctx.fillStyle="#020547";
grd_sea.addColorStop(0,"#03B9E0");
grd_sea.addColorStop(1,"black");
paint_ctx.fillStyle=grd_sea;
paint_ctx.fillRect(0,300,800,600);
paint_ctx.closePath();
//
// paint_ctx.beginPath();

//
// Линия горизонта
//

// paint_ctx.beginPath();
// paint_ctx.strokeStyle='#F9F9F9';
// paint_ctx.moveTo(0,HorLineY);
// paint_ctx.lineTo(800,HorLineY);
// paint_ctx.stroke();
//












//
// Солнце заходит
//
/*
paint_ctx.beginPath();
paint_ctx.strokeStyle='#FFF007';
paint_ctx.arc(600,HorLineY,100,1*Math.PI,2.0*Math.PI);
paint_ctx.stroke();
paint_ctx.fillStyle="#FFEE99";
paint_ctx.fill();
*/
/*
context.createRadialGradient(x0,y0,r0,x1,y1,r1);
x0 The x-coordinate of the starting circle of the gradient 
y0 The y-coordinate of the starting circle of the gradient 
r0 The radius of the starting circle 
x1 The x-coordinate of the ending circle of the gradient 
y1 The y-coordinate of the ending circle of the gradient 
r1 The radius of the ending circle 
*/
paint_ctx.beginPath();
// var grd_sun=paint_ctx.createRadialGradient(600,HorLineY,10,600,HorLineY,90);
// grd_sun.addColorStop(0,"#FFEE99");
// grd_sun.addColorStop(1,"#FFBB09");
// paint_ctx.fillStyle=grd_sun;
// paint_ctx.fillArc(600,HorLineY,100,1*Math.PI,2.0*Math.PI);
//

var grd_sun=paint_ctx.createRadialGradient(600,HorLineY,40,600,HorLineY,100);
grd_sun.addColorStop(0,"#FF9B09");
grd_sun.addColorStop(1,"#FFEE99");

// Fill with gradient
paint_ctx.fillStyle=grd_sun;
// paint_ctx.fillRect(10,10,150,100);
paint_ctx.arc(600,HorLineY,100,1*Math.PI,2.0*Math.PI);
paint_ctx.fill();
paint_ctx.closePath();


//
//
//





//
// Нижняя часть - остров слева...
//

paint_ctx.beginPath();
var grd_island=paint_ctx.createRadialGradient(0,800,300,0,800,460);
grd_island.addColorStop(0,"#939300");
grd_island.addColorStop(1,"#799990");
paint_ctx.fillStyle=grd_island;
paint_ctx.arc(10,800,460,1*Math.PI,2.0*Math.PI);
paint_ctx.fill();
paint_ctx.closePath();



//
// Дом...
//
// тень дома
paint_ctx.beginPath();
paint_ctx.globalAlpha=0.3;
paint_ctx.fillStyle="#020202";
paint_ctx.rotate(45*Math.PI/180);
// paint_ctx.fillRect(90,550,150,120);
// paint_ctx.fillRect(190,500,150,120);
// paint_ctx.fillRect(440,250,150,120);
// paint_ctx.fillRect(460,212,150,120);
paint_ctx.fillRect(460,212,104,220);
paint_ctx.rotate(-45*Math.PI/180);
paint_ctx.globalAlpha=1.0;
paint_ctx.closePath();
//
paint_ctx.beginPath();
paint_ctx.fillStyle="#909090";
paint_ctx.fillRect(100,100,150,450);
paint_ctx.closePath();
//
// линии на доме
paint_ctx.beginPath();
paint_ctx.moveTo(105,545);
paint_ctx.lineTo(105,105);
paint_ctx.lineTo(245,105);
paint_ctx.lineTo(245,545);
paint_ctx.strokeStyle="#A7A7A7";
paint_ctx.stroke(); 
paint_ctx.closePath();

//
// окна
//

paint_ctx.beginPath();
var Xwin_limit = 5;
var Ywin_limit = 20;
var win_color1 = "#303030";
var win_color2 = "#A9A9A9";
var win_color3 = "#F9F9A9";
var win_color4 = "#FFFFD9";
var win_colorNN = 0;
for(Yi=1; Yi<=Ywin_limit; Yi++) {
	for(Xi=1; Xi<=Xwin_limit; Xi++) {
//	Math.random() Возвращает случайное число.
// Псевдослучайное число от 0,0 до 1,0.
	win_colorNN = Math.random();
	paint_ctx.fillStyle=win_color1;
	if (win_colorNN>0.8) paint_ctx.fillStyle=win_color2;
	if (win_colorNN>0.92) paint_ctx.fillStyle=win_color3;
	if (win_colorNN>0.98) paint_ctx.fillStyle=win_color4;
	paint_ctx.fillRect(110+Xi*20,110+Yi*20,10,10);
	}
}
paint_ctx.closePath();
//
// Flag
//

paint_ctx.beginPath();
paint_ctx.lineWidth=5;
// paint_ctx.lineCap="square";
paint_ctx.lineCap="round";
paint_ctx.moveTo(245,100);
paint_ctx.lineTo(245,25);
// paint_ctx.strokeStyle="#D7D7D7";
paint_ctx.strokeStyle="#909090";
// paint_ctx.strokeStyle="#505050";
paint_ctx.stroke();
paint_ctx.closePath();
//
paint_ctx.globalAlpha=0.5;
paint_ctx.fillStyle="#F9F9F9";
paint_ctx.fillRect(245,25,80,20);
paint_ctx.fillStyle="#0909F9";
paint_ctx.fillRect(245,45,80,20);
paint_ctx.fillStyle="#F90909";
paint_ctx.fillRect(245,65,80,20);
paint_ctx.globalAlpha=1.0;
//
/*
paint_ctx.beginPath();
paint_ctx.lineWidth=1;
paint_ctx.lineCap="square";
paint_ctx.moveTo(325,25);
paint_ctx.lineTo(325,85);
paint_ctx.strokeStyle="#BABABA";
paint_ctx.stroke();
paint_ctx.closePath();
*/

//
// дорога к солнцу
//


paint_ctx.beginPath();
paint_ctx.lineWidth=1;
paint_ctx.lineJoin='round';
paint_ctx.moveTo(360,800);
paint_ctx.lineTo(590,HorLineY);
paint_ctx.lineTo(610,HorLineY);
paint_ctx.lineTo(720,800);
paint_ctx.closePath();
paint_ctx.globalAlpha=0.2;
paint_ctx.strokeStyle="#A7A7A7";
paint_ctx.stroke();
//
// var grd_sea_way=paint_ctx.createLinearGradient(590,HorLineY,200,300);
var grd_sea_way=paint_ctx.createLinearGradient(590,HorLineY,400,400);
grd_sea_way.addColorStop(0,"#03B9E0");
grd_sea_way.addColorStop(1,"#000000");
paint_ctx.fillStyle=grd_sea_way;
// paint_ctx.fillStyle="#A7A7A7";
paint_ctx.fill();
paint_ctx.globalAlpha=1.0;


//
// красный прямоугольник
// paint_ctx.fillStyle="#FF0000";
// paint_ctx.fillRect(0,0,150,75);
//
// типа корабль в виде квадрата...

paint_ctx.fillStyle="#919199";
paint_ctx.fillRect(595,HorLineY+5,5,5);
//
// Подпись: Русалка (Mermaid) kocby.ru 2013 (C)
//
paint_ctx.font='italic 16px Arial';
paint_ctx.fillText('"Русалка" ("Mermaid") kocby.ru 2013 (C)', 480,590);


//
//
//



}
// enda of canvas_paint()
//


/*

This is enda...
of paint.js

*/